.tickets {

}

.tickets__info {
  display: flex;
  margin: 0 auto;
  list-style: none;
  padding: 19px 0 20px;
  border-top: 1px solid rgba(250, 234, 211, 0.15);
  border-bottom: 1px solid rgba(250, 234, 211, 0.15);

  @media (--medium) {
    display: block;
    padding: 0 10px;
  }
}

.tickets__info-item {
  width: 33.333%;
  padding: 0 30px;
  flex: 1 1 33.333%;
  text-align: center;

  &:not(:last-child) {
    border-right: 1px solid rgba(250, 234, 211, 0.15);

    @media (--medium) {
      border-right: none;
    }
  }

  &:first-child .tickets__info-icon svg {
    width: 75%;
    height: 75%;
    margin-top: 0;
  }

  @media (--medium) {
    width: 100%;
    padding: 20px 0;
    border-bottom: 1px solid rgba(250, 234, 211, 0.15);
  }
}

.tickets__info-icon {
  margin: 0 auto;
  width: 85px;
  height: 85px;
  overflow: hidden;
  position: relative;
  border-radius: 100%;
  border: 1px solid #faead3;

  & svg {
    top: 50%;
    left: 50%;
    width: 70%;
    height: 70%;
    margin-top: -4px;
    position: absolute;
    transform: translate(-50%, -50%);
  }
}

.tickets__info-caption {
  font-size: 20px;
  color: #faead3;
  line-height: 30px;
  margin: 20px 0 0;

  @media (--medium) {
    font-size: 15px;
    line-height: 25px;
  }
}

.tickets__calendar {
  width: 100%;
  position: relative;
  padding: 0 60px;
  border-bottom: 1px solid rgba(250, 234, 211, 0.15);
}

.tickets__calendar-wrapper {
  overflow: hidden;
}

.tickets__calendar-container {
  display: flex;
  padding-top: 19px;
  padding-bottom: 20px;
  transition: transform 0.3s ease 0s;
  will-change: transform;

  @media (--medium) {
    height: 87px;
    align-items: center;
  }
}

.tickets__calendar-date {
  width: 7.142857143%;
  flex: 0 0 7.142857143%;
  padding: 7.142857143% 0 0;
  height: 0;
  outline: none;
  border: none;
  background-color: transparent;
  position: relative;
  cursor: pointer;
  text-align: center;
  text-transform: lowercase;

  @media (--medium) {
    width: 25%;
    flex: 0 0 25%;
    padding: 25% 0 0;
  }

  & div {
    top: 0;
    left: 0;
    padding-top: 4px;
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border: 1px solid transparent;
    transition: border-color 0.3s ease 0s, background-color 0.3s ease 0s;
    will-change: border-color, background-color 0.3s ease 0s;
  }

  & span,
  & small {
    font-size: 20px;
    color: #faead3;
    line-height: 20px;
  }

  & span svg {
    width: 18px;
    height: 12px;
    display: block;
    margin-bottom: 10px;
  }

  & small {
    color: #5c5c5c;
    transition: color 0.3s ease 0s;
    will-change: color;
  }

  &:hover div {
    border-color: #900;
  }

  &.today div {
    border-color: #faead3;
  }

  &.past {
    cursor: not-allowed;

    &:hover div {
      border-color: transparent;
    }
  }

  &.past span,
  &.past small {
    color: #5c5c5c;
  }

  &.month {
    cursor: auto;

    &:hover div {
      border-color: transparent;
    }
  }

  &.current:hover div,
  &.current div {
    background-color: #990000;
    border-color: #990000;

    & small {
      color: #faead3;
    }
  }
}

.tickets__calendar-nav-left,
.tickets__calendar-nav-right {
  padding: 0;
  width: 60px;
  height: 100%;
  outline: none;
  cursor: pointer;
  position: absolute;
  top: 0;
  background-color: transparent;
  border: none;

  &::before,
  & div:first-child::before,
  & div:first-child::after,
  & div:last-child::after,
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    width: 1px;
    background-color: #faead3;
  }

  &::before {
    right: 20px;
    height: 40px;
    margin-top: -20px;
    transition: height 0.3s ease 0s, margin-top 0.3s ease 0s;
    will-change: height, margin-top;
  }

  &:hover::before {
    height: 80px;
    margin-top: -40px;
  }

  &::after {
    right: 22px;
    height: 22px;
    margin-top: -11px;
  }

  & div:first-child::before {
    right: 24px;
    height: 8px;
    margin-top: -4px;
  }

  & div:first-child::after {
    right: 26px;
    height: 4px;
    margin-top: -2px;
  }

  & div:last-child::after {
    width: 0;
    height: 0;
    right: 28px;
    margin-top: -1px;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    border-right: 20px solid #faead3;
    background-color: transparent;
  }
}

.tickets__calendar-nav-left {
  left: 0;
}

.tickets__calendar-nav-right {
  right: 0;
  transform: rotate(180deg);
}

.tickets__sessions,
.tickets__sessions-placeholder {
  display: flex;
  margin: 0 auto;
  flex-wrap: wrap;
  list-style: none;
  max-width: 1020px;
  padding: 39px 0 10px;
  border-bottom: 1px solid rgba(250, 234, 211, 0.15);

  @media (--medium) {
    padding: 25px 10px 0;
  }
}

.tickets__sessions-placeholder {
  height: 371px;
  align-items: center;
  justify-content: center;
}

.tickets__sessions-item {
  margin-bottom: 26px;

  @media (--xlarge-up) {
    flex: 1 1 11.7647059%;

    &:not(:nth-child(7n)) {
      margin-right: 30px;
    }
  }

  @media (--large-only) {
    flex: 1 1 240px;

    &:not(:nth-child(3n)) {
      margin-right: 30px;
    }
  }

  @media (--medium) {
    flex: 1 1 20.3125%;
    margin-bottom: 16px;

    &:not(:nth-child(4n)) {
      margin-right: 3.125%;
    }
  }
}

.tickets__sessions-button {
  padding: 0;
  outline: none;
  border: none;
  background-color: transparent;
  width: 100%;
  display: block;
  height: 50px;
  border: 1px solid #faead3;
  color: #faead3;
  line-height: 52px;
  font-size: 20px;
  cursor: pointer;
  text-align: center;
  white-space: nowrap;
  transition: border-color 0.3s ease 0s, color 0.3s ease 0s, background-color 0.3s ease 0s;
  will-change: border-color, color, background-color;

  &:hover {
    border-color: #990000;
  }

  &:hover:not(:disabled) + .tickets__sessions-price {
    color: #faead3;
  }

  &:disabled {
    cursor: not-allowed;
    border-color: #5c5c5c;
    color: #5c5c5c;
  }

  @nest .active & {
    border-color: #990000;
    background-color: #990000;
  }

  @media (--medium) {
    font-size: 15px;
    height: 40px;
    line-height: 40px;
  }
}

.tickets__sessions-price {
  text-align: center;
  margin: 14px 0 0;
  font-size: 15px;
  color: #5c5c5c;
  transition: color 0.3s ease 0s;
  will-change: color;

  @nest .active & {
    color: #faead3;
  }

  @media (--medium) {
    font-size: 12px;
    margin-top: 8px;
  }
}

.tickets__form {
  margin: 46px auto 0;
  max-width: 720px;

  @media (--medium) {
    padding: 0 10px;
  }
}

.tickets__fieldset {
  border: 0;
  padding: 0;
  display: flex;

  @media (--medium) {
    display: block;
  }
}

.tickets__input,
.tickets__checkbox {
  flex: 0 0 345px;
  display: block;
  margin-bottom: 25px;

  &:not(:nth-child(2n)) {
    margin-right: 30px;
  }

  @media (--medium) {
    width: 100%;

    &:not(:nth-child(2n)) {
      margin-right: 0;
    }
  }
}

.tickets__input-label {
  display: block;
  margin-bottom: 12px;
  font-size: 20px;
  line-height: 18px;
  color: #faead3;

  @media (--medium) {
    font-size: 15px;
    margin-bottom: 8px;
  }
}

.tickets__input-input {
  width: 100%;
  height: 70px;
  outline: none;
  padding: 0 20px;
  display: block;
  line-height: 70px;
  white-space: nowrap;
  background-color: rgba(250, 234, 211, 0.03);
  border: 1px solid #faead3;
  font-size: 20px;
  color: #faead3;

  @media (--medium) {
    height: 55px;
    font-size: 15px;
    line-height: 55px;
  }
}

.tickets__submit {
  display: block;
  width: 330px;
  height: 70px;
  outline: none;
  padding: 0;
  line-height: 73px;
  border: none;
  background-color: #990000;
  margin: 28px auto 0;
  color: #faead3;
  font-size: 20px;
  cursor: pointer;
  transition: background-color 0.3s ease 0s;
  will-change: background-color;

  &:hover {
    background-color: #7a0000;
  }

  &.loading {
    cursor: progress;
  }

  @media (--medium) {
    height: 55px;
    width: 200px;
    line-height: 57px;
    font-size: 15px;
  }
}

.tickets__checkbox {
  position: relative;
  overflow: hidden;
}

.tickets__checkbox-input {
  position: absolute;
  top: -20px;
  left: -20px;
  opacity: 0;

  &:checked + .tickets__checkbox-label::before {
    background-color: #990000;
  }
}

.tickets__checkbox-label {
  position: relative;
  display: block;
  padding-left: 56px;
  padding-top: 30px;
  font-size: 15px;
  color: #4f4f4f;
  line-height: 20px;
  cursor: pointer;

  @media (--medium) {
    padding-top: 10px;
  }

  &::before {
    content: '';
    display: block;
    width: 40px;
    height: 40px;
    border: 1px solid #faead3;
    left: 0;
    position: absolute;
    top: 30px;
    transition: background-color 0.3s ease 0s;
    will-change: background-color;

    @media (--medium) {top: 10px;}
  }
}

.tickets__form-placeholder {
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  height: 1278px;
}
